# std::valarray::max

From cppreference.com
< cpp‎ | numeric‎ | valarray

T max() const; |  |

Computes the maximum value of the elements.

If there are no elements, the behavior is undefined.

The function can be used only if operator< is defined for type `T`.

### Parameters

(none)

### Return value

The maximum of the elements.

### Example

| This section is incomplete Reason: no example

### See also

min | returns the smallest element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/valarray/max&oldid=58791"
Category:

- Todo no example